Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Create New Kafka User

POST/kafka-access/kafka-users
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
usernamestringrequired
min length 3 · max length 64 · matches ^[a-zA-Z0-9_-]+$
whitelist_ipsstring | any
Show properties
Any of:
string
string
any
any
kafka_aclsKafkaAclModel[]
default: []
Show properties
Array of KafkaAclModel
topic_namestringrequired
operationstringrequired
resource_pattern_typestringrequired
resourcestring
default: "TOPIC"
passwordstringrequired
min length 12 · max length 128
is_create_schema_registryboolean
default: false
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/kafka-access/kafka-users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "username": "string",
  "whitelist_ips": "string",
  "kafka_acls": [],
  "password": "stringstring",
  "is_create_schema_registry": false
}'
Response
Successful Response